Siena C++ API Documentation
Author: Antonio Carzaniga

Siena C++ API documentation (v. 0.4.3)

- Main Page
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# Receiver Class Reference

`#include <Comm.h>`

Inheritance diagram for Receiver:

List of all members.

## Public Member Functions
virtual | ~Receiver ()
virtual string | uri ()=0
virtual string & | uri (string &)=0
virtual size_t | receive (char *, size_t)=0 throw (CommException)
virtual void | shutdown ()

## Detailed Description

abstract receiver mechanism

a `Receiver` represents a generic level-2 input communication mechanism. In practice, a `Receiver` allows one to receive packets. This is a virtual class, specializations of this class will implement specific communication mechanisms.

Examples:

  subscriber.cc.

## Constructor & Destructor Documentation

virtual Receiver::~Receiver | ( |  | ) | `[virtual]`

destructor

## Member Function Documentation

virtual string Receiver::uri | ( |  | ) | `[pure virtual]`

URI for this receiver

a URI is an external representation of the point of contact of this receiver. This URI can be used to create senders to contact this receiver.

Implemented in TCPReceiver, and UDPReceiver.

virtual string& Receiver::uri | ( | string & |  | ) | `[pure virtual]`

exernally visible URI for this receiver

a URI is an external representation of the point of contact of this receiver. This URI can be used to create senders to contact this receiver.

Implemented in TCPReceiver, and UDPReceiver.

virtual size_t Receiver::receive | ( | char * | ,
|  | size_t |  |
| ) |  |  | throw (CommException)`[pure virtual]`

receives a message

Exceptions:

  | CommException |

Implemented in TCPReceiver, and UDPReceiver.

virtual void Receiver::shutdown | ( |  | ) | `[virtual]`

closes this sender

Reimplemented in TCPReceiver, and UDPReceiver.

The documentation for this class was generated from the following file:

- Comm.h

Copyright © 2001 University of Colorado.
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License". This documentation is authored and maintained by Antonio Carzaniga